<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package Astn 
 * @since 0.1
 */
get_header(); 
/* 
* Functions hooked into astn_top_banner action
* 
* @hooked astn_inner_banner
*/
do_action( 'astn_top_banner' ); 
/* 
* Functions hooked into astn_breadcrumb_area action
* 
* @hooked astn_breadcrumb_area
*/
?>
<nav aria-label="breadcrumb">
	<ol class="breadcrumb d-flex justify-content-center">
			<li class="breadcrumb-item">
				<a href="<?php echo esc_url( home_url() ); ?>"><?php esc_html_e( 'Home', 'astn' ); ?></a>
			</li>
			<li class="breadcrumb-item active" aria-current="page"><?php esc_html_e( '404 Error', 'astn' ); ?></li>
		</ol>
</nav>
    <!-- //breadcrumbs -->
<div class="container notfound" id="404page">
	<div class="row">
	<div class="col-md-8 astn-main">
		<div class="responsive_tabs astn_tab">
		<h1><?php esc_html_e( '404', 'astn' ); ?></h1>
		<h2 class="title-agile"> <?php esc_html_e( 'Oops! The page you requested not found.', 'astn' ); ?></h2>
			
			<p><?php esc_html_e( 'Search page here', 'astn' ); ?></p>
			<?php get_search_form(); ?>
			<div class="home-btn">
				<a href="<?php echo esc_url( home_url("/") ); ?>"> <?php esc_html_e( 'Go Home', 'astn' ); ?></a>
			</div>
		</div>
	</div>
	<div class="col-md-4">
		<?php get_sidebar(); ?>
	</div>
	</div>
</div>
<?php 
get_footer();