<?php
/**
 * The Contact Section
 *
 * @package Astn 
 */

/**
 * Class astn_Contact_Section
 */
class astn_Contact_Section extends astn_Abstract_Main {
	/**
	 * Initialize Contact Section
	 */
	public function __construct() {
		add_action( 'astn_contact_area', array( $this, 'astn_contact' ) );
	}

	public function init() {

	}

	/**
	 * Contact section content.
	 *
	 * @since astn 0.1
	 */
	function astn_contact() {
		$contact_image        = get_theme_mod( 'contact_image' );
		$astn_contact_title = get_theme_mod( 'astn_contact_title' );
		$astn_phoneno       = get_theme_mod( 'astn_phoneno' );
		$astn_address       = get_theme_mod( 'astn_address' );
		$astn_email         = get_theme_mod( 'astn_email' );
		if ( get_theme_mod( 'astn_contact_show' ) == 1 ) : ?>
            <div class="parallax" style="background-image:url(<?php if ( $contact_image ) {
				echo esc_url( $contact_image );
			} else {
				echo esc_url( get_template_directory_uri() ) . "/images/inner.jpg";
			} ?>)">
                <div class="abt_bottom py-lg-5 " id="contact">
                    <div class="container">
                        <div class="astn_title text-center">
                            <h4 class="astn-title"> <?php echo esc_html( $astn_contact_title ); ?> </h4>
                        </div>
                        <div class="row text-center contact_info">
                            <div class="col-sm-4 col-xs-6 first-box ">
                                <div class="flip-card">
                                    <div class="flip-card-inner">
                                        <div class="flip-card-front">
                                            <h1><i class="fa fa-phone"></i></h1>
                                        </div>
                                        <div class="flip-card-back">
                                            <h3><?php esc_html_e( 'Phone', 'astn' ); ?></h3>
                                            <p><?php echo esc_html( $astn_phoneno ); ?></p><br>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="col-sm-4 col-xs-6 first-box ">
                                <div class="flip-card">
                                    <div class="flip-card-inner">
                                        <div class="flip-card-front">
                                            <h1><i class="fa fa-location-arrow" aria-hidden="true"></i></h1>
                                        </div>
                                        <div class="flip-card-back">
                                            <h3><?php esc_html_e( 'Location', 'astn' ); ?></h3>
                                            <p><?php echo esc_html( $astn_address ); ?></p><br>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="col-sm-4 col-xs-6 first-box ">
                                <div class="flip-card">
                                    <div class="flip-card-inner">
                                        <div class="flip-card-front">
                                            <h1><i class="fa fa-envelope" aria-hidden="true"></i></h1>
                                        </div>
                                        <div class="flip-card-back">
                                            <h3><?php esc_html_e( 'E-mail', 'astn' ); ?></h3>
                                            <p><?php echo esc_html( $astn_email ); ?></p><br>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
		<?php endif;
	}
}
$astn_Contact_Section = new astn_Contact_Section();