<?php
/**
 * The Service Section
 *
 * @package Astn 
 */

/**
 * Class astn_Service_Section
 */
class astn_Service_Section extends astn_Abstract_Main {

	/**
	 * Initialize Slider Section
	 */
	public function __construct() {
		add_action( 'astn_service_area', array( $this, 'astn_service' ) );
	}

	public function init() {
	}

	function astn_service() {
		$astn_service_title = get_theme_mod( 'astn_service_title' );
		$astn_service_desc  = get_theme_mod( 'astn_service_desc' );
		if ( get_theme_mod( 'astn_service_show' ) ) : ?>
        <section class="align-service" id="service">
            <div class="container">
                <div class="astn_title text-center">
                    <h4 class="astn-title"><?php echo esc_html( $astn_service_title ); ?></h4>
                    <p class="sub-title"><?php echo esc_html( $astn_service_desc ); ?></p>
                </div>
                <div class="row">
				<?php 
				if(get_theme_mod('astn_service_1')!='' || get_theme_mod('astn_service_2')!='' || get_theme_mod('astn_service_3')!='') {
				$args = array( 
				'post_type' => 'post',
				'ignore_sticky_posts' => 1,
				'post__in' => array(get_theme_mod('astn_service_1'),get_theme_mod('astn_service_2'),get_theme_mod('astn_service_3')));
				$home_service = new WP_Query( $args );
                
				if ( $home_service->have_posts() ):
				while ( $home_service->have_posts() ):
				$home_service->the_post(); 
				?>
                    <div class="col-lg-4 col-sm-6 wow bounceInLeft">
                        <div class="abt-grid">
                            <div class="row">
                                <div class="col-12">
									<div class="abt-icon">
                                        <img src="<?php echo the_post_thumbnail_url(); ?>">
                                    </div>
                                </div>
                                <div class="col-12 pt-3">
                                    <div class="abt-txt">
                                        <h4><a href="<?php echo esc_url( get_permalink() ); ?>" target="_blank"><?php the_title(); ?></a>
                                        </h4>
                                        <p><?php the_excerpt(); ?></p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
				<?php endwhile; endif; } ?>
                </div>
            </div>
        </section>
		<?php endif;
	}
}
$astn_Service_Section = new astn_Service_Section();